> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all residents

> List all residents



## OpenAPI

````yaml openapi-loyalty.json GET /v1/loyalty/residents
openapi: 3.1.0
info:
  title: Yorlet Loyalty API
  description: APIs for managing loyalty programs, events, residents, and tiers.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/loyalty/residents:
    get:
      tags:
        - Residents
      summary: List all residents
      description: List all residents
      operationId: residents_list
      responses:
        '200':
          description: >-
            A dictionary with a data property that contains an array of up to
            limit residents. Each entry in the array is a separate resident
            object. If no more residents are available, the resulting array will
            be empty.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - resident
                        building:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The building the resident is associated with.
                        email:
                          type: string
                          description: The resident's email address.
                        name:
                          type:
                            - string
                            - 'null'
                          description: The resident's full name.
                        tier:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The loyalty tier the resident is assigned to.
                        status:
                          type: string
                          enum:
                            - active
                            - inactive
                          description: The status of the resident's membership.
                      required:
                        - id
                        - created
                        - object
                        - building
                        - email
                        - name
                        - tier
                        - status
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````